"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function tryCatch(func, catchFunc) {
    try {
        return func();
    }
    catch (err) {
        return catchFunc(err);
    }
}
exports.tryCatch = tryCatch;
function keysOf(arg) {
    if (typeof arg !== 'object')
        return [];
    var keys = [];
    for (var key in arg) {
        keys.push(key);
    }
    return keys;
}
exports.keysOf = keysOf;
function repeat(text, count) {
    var result = '';
    for (var i = 0; i < count; i++) {
        result += text;
    }
    return result;
}
exports.repeat = repeat;
function increaseIndent(text, indent) {
    var indentPadding = repeat(' ', indent);
    return indentPadding + text.split('\n').join('\n' + indentPadding);
}
exports.increaseIndent = increaseIndent;
//# sourceMappingURL=utils.js.map